NX Open C++ Reference Guide
|
Represents an associativity object. More...
Public Member Functions | |
double | Angle () |
Returns the angle. | |
NXOpen::Point3d | FirstDefinitionPoint () |
Returns the first definition point. | |
NXOpen::NXObject * | FirstObject () |
Returns the first associativity object Created in NX4.0.0. | |
NXOpen::Annotations::AssociativityLineOption | LineOption () |
Returns the line option Created in NX4.0.0. | |
NXOpen::View * | ObjectView () |
Returns the object view. | |
NXOpen::Point3d | PickPoint () |
Returns the pick point Created in NX4.0.0. | |
NXOpen::Annotations::AssociativityPointOption | PointOption () |
Returns the point option Created in NX4.0.0. | |
NXOpen::Point3d | SecondDefinitionPoint () |
Returns the second definition point. | |
NXOpen::NXObject * | SecondObject () |
Returns the second associativity object, if the annotation is associated to an intersection point. | |
void | SetAngle (double angle) |
Sets the angle. | |
void | SetFirstDefinitionPoint (const NXOpen::Point3d &firstDefinitionPoint) |
Sets the first definition point. | |
void | SetFirstObject (NXOpen::NXObject *object) |
Sets the first associativity object Created in NX4.0.0. | |
void | SetLineOption (NXOpen::Annotations::AssociativityLineOption lineOption) |
Sets the line option Created in NX4.0.0. | |
void | SetObjectView (NXOpen::View *objectView) |
Sets the object view. | |
void | SetPickPoint (const NXOpen::Point3d &pickPoint) |
Sets the pick point Created in NX4.0.0. | |
void | SetPointOption (NXOpen::Annotations::AssociativityPointOption pointOption) |
Sets the point option Created in NX4.0.0. | |
void | SetSecondDefinitionPoint (const NXOpen::Point3d &secondDefinitionPoint) |
Sets the second definition point. | |
void | SetSecondObject (NXOpen::NXObject *object2) |
Sets the second associativity object, if the annotation is associated to an intersection point. | |
virtual | ~Associativity () |
Frees the object from memory. | |
![]() | |
void * | GetHandle () |
Handle of the internal object represented by this object. | |
Represents an associativity object.
The associativity object describes how an annotation is attached to geometry. The associativities are specified at indices starting with 1. In most cases, the index corresponds to the order in which objects are selected to create an annotation. So, the associativity at index 1 specifies first object selectd, the associativity at index 2 specifies second object selected and so on...
Dimensions can only have associativities at indices {1, 2, 3}. Please note the following special cases for the dimension associativities -
1. For ordinate dimensions Annotations::OrdinateDimension , the associativity at index 1 stores the ordinate origin data.
2. The associativity at index 3 stores the following -
A. Fold location for the folded radius dimension
B. Margin data for the ordinate dimensions
3. Set the associativities at index 1 when creating chain and baseline dimensions. The associativity at index 2 and 3 are ignored.
To create a new instance of this class, use Annotations::AnnotationManager::NewAssociativity
Created in NX4.0.0.
|
virtual |
Frees the object from memory.
After this method is called, it is illegal to use the object. In .NET, this method is automatically called when the object is deleted by the garbage collector.
Created in NX4.0.0.
License requirements : None
double NXOpen::Annotations::Associativity::Angle | ( | ) |
Returns the angle.
Required for following line option - Annotations::AssociativityLineOptionAngle
Created in NX4.0.0.
License requirements : None
NXOpen::Point3d NXOpen::Annotations::Associativity::FirstDefinitionPoint | ( | ) |
Returns the first definition point.
Required for following line options - Annotations::AssociativityLineOptionPointVector
Created in NX4.0.0.
License requirements : None
NXOpen::NXObject* NXOpen::Annotations::Associativity::FirstObject | ( | ) |
Returns the first associativity object
Created in NX4.0.0.
License requirements : None
NXOpen::Annotations::AssociativityLineOption NXOpen::Annotations::Associativity::LineOption | ( | ) |
Returns the line option
Created in NX4.0.0.
License requirements : None
NXOpen::View* NXOpen::Annotations::Associativity::ObjectView | ( | ) |
Returns the object view.
Both the associativity objects must have the same view.
Created in NX4.0.0.
License requirements : None
NXOpen::Point3d NXOpen::Annotations::Associativity::PickPoint | ( | ) |
Returns the pick point
Created in NX4.0.0.
License requirements : None
NXOpen::Annotations::AssociativityPointOption NXOpen::Annotations::Associativity::PointOption | ( | ) |
Returns the point option
Created in NX4.0.0.
License requirements : None
NXOpen::Point3d NXOpen::Annotations::Associativity::SecondDefinitionPoint | ( | ) |
Returns the second definition point.
Required for following line options - Annotations::AssociativityLineOptionPointVector
Created in NX4.0.0.
License requirements : None
NXOpen::NXObject* NXOpen::Annotations::Associativity::SecondObject | ( | ) |
Returns the second associativity object, if the annotation is associated to an intersection point.
Created in NX4.0.0.
License requirements : None
void NXOpen::Annotations::Associativity::SetAngle | ( | double | angle | ) |
Sets the angle.
Required for following line option - Annotations::AssociativityLineOptionAngle
Created in NX4.0.0.
License requirements : None
angle | New angle in radians |
void NXOpen::Annotations::Associativity::SetFirstDefinitionPoint | ( | const NXOpen::Point3d & | firstDefinitionPoint | ) |
Sets the first definition point.
Required for following line options - Annotations::AssociativityLineOptionPointVector
Created in NX4.0.0.
License requirements : None
firstDefinitionPoint | New first definition point in absolute coordinates |
void NXOpen::Annotations::Associativity::SetFirstObject | ( | NXOpen::NXObject * | object | ) |
Sets the first associativity object
Created in NX4.0.0.
License requirements : None
object | New first associativity object |
void NXOpen::Annotations::Associativity::SetLineOption | ( | NXOpen::Annotations::AssociativityLineOption | lineOption | ) |
Sets the line option
Created in NX4.0.0.
License requirements : None
lineOption | New line option |
void NXOpen::Annotations::Associativity::SetObjectView | ( | NXOpen::View * | objectView | ) |
Sets the object view.
Both the associativity objects must have the same view.
Created in NX4.0.0.
License requirements : None
objectView | New object view |
void NXOpen::Annotations::Associativity::SetPickPoint | ( | const NXOpen::Point3d & | pickPoint | ) |
Sets the pick point
Created in NX4.0.0.
License requirements : None
pickPoint | New pick point in absolute coordinates |
void NXOpen::Annotations::Associativity::SetPointOption | ( | NXOpen::Annotations::AssociativityPointOption | pointOption | ) |
Sets the point option
Created in NX4.0.0.
License requirements : None
pointOption | New point option |
void NXOpen::Annotations::Associativity::SetSecondDefinitionPoint | ( | const NXOpen::Point3d & | secondDefinitionPoint | ) |
Sets the second definition point.
Required for following line options - Annotations::AssociativityLineOptionPointVector
Created in NX4.0.0.
License requirements : None
secondDefinitionPoint | New second definition point in absolute coordinates |
void NXOpen::Annotations::Associativity::SetSecondObject | ( | NXOpen::NXObject * | object2 | ) |
Sets the second associativity object, if the annotation is associated to an intersection point.
Created in NX4.0.0.
License requirements : None
object2 | New second associativity object |